import { Request, Response } from 'express';
import { assignBuddyDto, createOnboardingCaseDto, createOnboardingTaskDto, createOnboardingTemplateDto, createProvisioningItemDto, filterOnboardingCaseDto, signOnboardingDocumentDto, updateOnboardingCaseDto, updateOnboardingTaskDto, updateOnboardingTemplateDto, updateProvisioningItemDto } from './onboarding.dto';
import { OnboardingService } from './onboarding.service';
export declare class OnboardingController {
    private readonly service;
    constructor(service: OnboardingService);
    createTemplate(data: createOnboardingTemplateDto, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    resetDefaultTemplates(owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    getTemplates(owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    getTemplateById(id: string, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    updateTemplate(id: string, data: updateOnboardingTemplateDto, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    deleteTemplate(id: string, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    setDefaultTemplate(id: string, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    getDashboardStats(owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    getMyPortal(req: Request, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    getMyWelcomePortal(req: Request, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    createCase(data: createOnboardingCaseDto, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    getCasesByFilter(query: filterOnboardingCaseDto, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    getCaseById(id: string, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    updateCase(id: string, data: updateOnboardingCaseDto, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    deleteCase(id: string, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    addTask(caseId: string, data: createOnboardingTaskDto, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    updateTask(taskId: string, data: updateOnboardingTaskDto, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    signDocument(documentId: string, data: signOnboardingDocumentDto, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    addProvisioningItem(caseId: string, data: createProvisioningItemDto, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    updateProvisioningItem(itemId: string, data: updateProvisioningItemDto, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    assignBuddy(caseId: string, data: assignBuddyDto, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
}
